Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.meterware.httpunit
Class GetMethodWebRequest

    java.lang.Object
      |
      +--com.meterware.httpunit.WebRequest
            |
            +--com.meterware.httpunit.GetMethodWebRequest

public class GetMethodWebRequest
extends WebRequest

An HTTP request using the GET method.

Constructor Summary
`GetMethodWebRequest(String urlString)` Constructs a web request using a specific absolute url string.
`GetMethodWebRequest(URL urlBase, String urlString)` Constructs a web request using a base URL and a relative url string.
`GetMethodWebRequest(URL urlBase, String urlString, String target)` Constructs a web request with a specific target.

Method Summary
`String` | `getMethod()` Returns the HTTP method defined for this request.
`String` | `getQueryString()` Returns the query string defined for this request.

Methods inherited from class com.meterware.httpunit.WebRequest
`completeRequest, getCharacterSet, getContentType, getHeaders, getParameter, getParameterHolder, getParameterNames, getParameterValues, getRequestParameterNames, getTarget, getURL, getURLBase, getURLString, isFileParameter, isMimeEncoded, maySelectFile, removeParameter, selectFile, selectFile, selectFile, setHeaderField, setImageButtonClickPosition, setMimeEncoded, setParameter, setParameter, setParameter, toString, writeMessageBody`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GetMethodWebRequest

    public GetMethodWebRequest(String urlString)

  Constructs a web request using a specific absolute url string.

### GetMethodWebRequest

    public GetMethodWebRequest(URL urlBase,
                               String urlString)

  Constructs a web request using a base URL and a relative url string.

### GetMethodWebRequest

    public GetMethodWebRequest(URL urlBase,
                               String urlString,
                               String target)

  Constructs a web request with a specific target.

Method Detail

### getMethod

    public String getMethod()

  Returns the HTTP method defined for this request.
  Overrides:
    `getMethod` in class `WebRequest`

### getQueryString

    public String getQueryString()

  Returns the query string defined for this request.
  Overrides:
    `getQueryString` in class `WebRequest`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD